Classes | UGens>Info

# SampleRate : InfoUGenBase : UGen : AbstractFunction : Object

Server sample rate.
Source: InfoUGens.sc
See also: ControlRate, RadiansPerSample, SampleDur, SubsampleOffset

## Description

Returns the current sample rate of the server.

## Class Methods

### SampleRate.ir

From superclass: InfoUGenBase

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

// compares a 441 Hz sine tone derived from sample rate (44100 * 0.01, left) // with a 440 Hz tone (right), resulting in a 1 Hz beating ( { var freq; freq = [ SampleRate.ir * 0.01, 440]; SinOsc.ar(freq, 0, 0.1) }.play; )
helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/SampleRate.schelp
link::Classes/SampleRate::